跳转到内容

Fibo Edit 1.5 Image Editing

集成

模型 id bria/fibo-edit-1.5/edit
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/bria/fibo-edit-1.5/edit?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{}'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

此请求: $0.04 40 API 积分 在此页面运行

获取 API 密钥
Bria AI 图像编辑 #stylized#transform#editing

遵循文本指令的多参考图像编辑器,支持最多 4 张图像和可选蒙版

Bria AI · 图像

你的第一个结果将在此显示

在下方构建请求,并使用你的 API 密钥运行。输出会复制到我们的存储中,可永久保存或免费保存 7 天。

构建请求

控件根据模型架构生成。更改控件时,代码和价格会同步更新。

aspect_ratio

包含多个参考图像的请求所使用的输出比例覆盖值。单个参考图像始终自行决定比例;多个参考图像下,省略此设置会使用第一张参考图像的比例。

高级 instruction · images · mask · seed · structured_instruction

描述图像编辑的指令。

image_urls
拖放文件,或

参考输入,其提交顺序决定指令的解析方式。以文件或 URL 形式提供 1–4 个图像。

mask_url
拖放文件,或

仅适用于单个参考图像的编辑蒙版;蒙版和生成结果都使用该参考图像的尺寸。以文件或 URL 形式提供,白色标记重新生成区域,黑色标记其余区域。

默认 5555

控制随机性的种子,以获得可复现的结果。

可复用的结构化提示词,包括之前编辑返回的提示词。如果未提供指令,则按原样使用此提示词,VGL 不会构建替代内容。

POST /run/bria/fibo-edit-1.5/edit?wait=20 报价 → $0.04
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/bria/fibo-edit-1.5/edit?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{}'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

运行此请求

你的密钥会保留在此浏览器中:仅发送到 Doitong API;只有勾选“记住”后才会保存到 localStorage。 获取 API 密钥

关于 Fibo Edit 1.5 Image Editing

根据自然语言 `instruction` 编辑图像,使用 `image_urls` 中的一到四张参考图像,图像顺序很重要。适用于虚拟试穿、替换背景和风格迁移等任务。单图请求可通过 `mask_url` 限制编辑区域,`structured_instruction` 可复用先前的结果。`aspect_ratio` 仅适用于两张或更多图像。

参数

发送规范名称或原生名称之一,不要同时发送两者。 规范名称

名称类型 默认值允许值 描述
image_urls可选 images
类型url[] · image
参考输入,其提交顺序决定指令的解析方式。以文件或 URL 形式提供 1–4 个图像。
instruction可选
类型string | null
描述图像编辑的指令。
aspect_ratio可选
类型enum
1:12:33:23:44:34:55:49:1616:9
包含多个参考图像的请求所使用的输出比例覆盖值。单个参考图像始终自行决定比例;多个参考图像下,省略此设置会使用第一张参考图像的比例。
seed可选
类型integer
默认值5555
控制随机性的种子,以获得可复现的结果。
mask_url可选 mask
类型url · image
仅适用于单个参考图像的编辑蒙版;蒙版和生成结果都使用该参考图像的尺寸。以文件或 URL 形式提供,白色标记重新生成区域,黑色标记其余区域。
structured_instruction可选
类型object
可复用的结构化提示词,包括之前编辑返回的提示词。如果未提供指令,则按原样使用此提示词,VGL 不会构建替代内容。
structured_instruction.short_description可选
类型string | null
对目标输出图像的简要描述。
structured_instruction.objects可选
类型object[]
默认值[]
以列表形式指定生成图像的内容,记录每个对象的属性及其与其他对象的关系。
structured_instruction.objects[].description可选
类型string | null
目标输出对象的描述。
structured_instruction.objects[].location可选
类型string | null
对象在图像中的位置。
structured_instruction.objects[].relationship必填
类型string
对象与图像中其他对象的关系。
structured_instruction.objects[].relative_size可选
类型string | null
对象相对于图像的尺寸。
structured_instruction.objects[].shape_and_color可选
类型string | null
对象的形状和颜色。
structured_instruction.objects[].texture可选
类型string | null
对象的纹理。
structured_instruction.objects[].appearance_details可选
类型string | null
描述对象外观的详细信息。
structured_instruction.objects[].number_of_objects可选
类型integer | null
图像中的对象数量。
structured_instruction.objects[].pose可选
类型string | null
所描绘对象的姿势。
structured_instruction.objects[].expression可选
类型string | null
所描绘对象的表情。
structured_instruction.objects[].clothing可选
类型string | null
所描绘对象穿着的服装。
structured_instruction.objects[].action可选
类型string | null
所描绘对象执行的动作。
structured_instruction.objects[].gender可选
类型string | null
所描绘对象的性别。
structured_instruction.objects[].skin_tone_and_texture可选
类型string | null
所描绘对象的皮肤纹理和色调。
structured_instruction.objects[].orientation可选
类型string | null
所描绘对象的朝向。
structured_instruction.background_setting可选
类型string | null
生成图像的背景环境。
structured_instruction.lighting可选
类型object
生成图像的照明。
structured_instruction.lighting.conditions可选
类型string | null
生成图像的光照条件。
structured_instruction.lighting.direction可选
类型string | null
生成图像的光照方向。
structured_instruction.lighting.shadows可选
类型string | null
生成图像中要描绘的阴影。
structured_instruction.aesthetics可选
类型object
生成图像的美学特征。
structured_instruction.aesthetics.composition可选
类型string | null
生成图像的构图。
structured_instruction.aesthetics.color_scheme可选
类型string | null
生成图像的调色板。
structured_instruction.aesthetics.mood_atmosphere可选
类型string | null
生成图像的情绪和氛围。
structured_instruction.aesthetics.aesthetic_score可选
类型string | null
正在生成图像的美学评分。
structured_instruction.aesthetics.preference_score可选
类型string | null
正在生成图像的偏好评分。
structured_instruction.photographic_characteristics可选
类型object
生成图像的摄影属性。
structured_instruction.photographic_characteristics.depth_of_field可选
类型string | null
生成图像的景深。
structured_instruction.photographic_characteristics.focus可选
类型string | null
生成图像的焦点。
structured_instruction.photographic_characteristics.camera_angle可选
类型string | null
生成图像的相机角度。
structured_instruction.photographic_characteristics.lens_focal_length可选
类型string | null
生成图像的镜头设置,以焦距表示。
structured_instruction.style_medium可选
类型string | null
生成图像的艺术媒介。
structured_instruction.text_render可选
类型any[]
默认值[]
要包含在图像中的文本条目列表。
structured_instruction.context可选
类型string | null
生成图像的上下文。
structured_instruction.artistic_style可选
类型string | null
生成图像的艺术风格。
structured_instruction.edit_instruction可选
类型string | null
描述如何编辑图像的指令。
必填 规范名称,也可接受

文件参数接受公开的 https:// URL、最大 10 MB 的 data: URI,或上传文件的 file_url。 文件

输出

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "bria/fibo-edit-1.5/edit",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 40,
    "usd": "0.04",
    "charged": 40,
    "refunded": 0
  },
  "input": {},
  "output": {
    "image": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768
    },
    "images": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200,
        "width": 1024,
        "height": 768
      }
    ],
    "structured_instruction": {}
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
你的文件,由你选择每个 outputs[].url 都是存储中的副本:可永久保存(按 GB-月付费),也可免费保存 7 天,由账户设置或 ?storage= 决定。
每个模型的结构相同图像、视频和音频均包含 type、url、content_type、width、height 和 duration。output 是模型自身的结果对象。
输出字段
image
object {url, content_type, file_name, file_size, width, height}编辑后的结果;指定 aspect_ratio 时遵循该比例,否则遵循源图像比例。
images
array of object {url, content_type, file_name, file_size, width, height}为使用旧版 Fibo Edit API 路由的客户端提供的向后兼容响应:列表中唯一条目是同一张图像。
structured_instruction
object对简要描述的扩展解释,以实际执行的结构化指令形式返回。它同时包含内置指令以及通过 `instruction` 提供的内容。

更多模型:图像编辑

对于 AI 代理:此页面的 Markdown 版本位于 https://doitong.com/zh/developers/models/bria/fibo-edit-1.5/edit.md. 所有模型和指南: https://doitong.com/developers/llms.txt